SAXParserFactoryImpl
Date: 2016-07-03

com.icl.saxon.aelfred

## Class SAXParserFactoryImpl

- java.lang.Object
- - javax.xml.parsers.SAXParserFactory
  - - com.icl.saxon.aelfred.SAXParserFactoryImpl

-     public class SAXParserFactoryImpl
      extends javax.xml.parsers.SAXParserFactory

  Implements the JAXP 1.1 ParserFactory interface. To use the AElfred parser, set the system property javax.xml.parsers.SAXParserFactory to the value "com.icl.saxon.aelfred.SAXParserFactoryImpl"; then call javax.xml.parsers.SAXParserFactory.newInstance().newSAXParser().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXParserFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFeature(java.lang.String name)`
    `javax.xml.parsers.SAXParser` | `newSAXParser()`
    `void` | `setFeature(java.lang.String name, boolean value)`

    - ### Methods inherited from class javax.xml.parsers.SAXParserFactory

      `getSchema, isNamespaceAware, isValidating, isXIncludeAware, newInstance, newInstance, setNamespaceAware, setSchema, setValidating, setXIncludeAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXParserFactoryImpl

          public SAXParserFactoryImpl()

  - ### Method Detail

    - #### getFeature

          public boolean getFeature(java.lang.String name)
                             throws org.xml.sax.SAXNotRecognizedException,
                                    org.xml.sax.SAXNotSupportedException

      Specified by:
        `getFeature` in class `javax.xml.parsers.SAXParserFactory`
      Throws:
        `org.xml.sax.SAXNotRecognizedException`
        `org.xml.sax.SAXNotSupportedException`

    - #### setFeature

          public void setFeature(java.lang.String name,
                        boolean value)
                          throws org.xml.sax.SAXNotRecognizedException,
                                 org.xml.sax.SAXNotSupportedException

      Specified by:
        `setFeature` in class `javax.xml.parsers.SAXParserFactory`
      Throws:
        `org.xml.sax.SAXNotRecognizedException`
        `org.xml.sax.SAXNotSupportedException`

    - #### newSAXParser

          public javax.xml.parsers.SAXParser newSAXParser()
                                                   throws javax.xml.parsers.ParserConfigurationException

      Specified by:
        `newSAXParser` in class `javax.xml.parsers.SAXParserFactory`
      Throws:
        `javax.xml.parsers.ParserConfigurationException`